admin_api_keys_api_key_id_rotate_post
curl --request POST \
--url https://checkout.dintero.com/v1/admin/api-keys/{api_key_id}/rotate-api-key \
--header 'x-api-key: <api-key>'import requests
url = "https://checkout.dintero.com/v1/admin/api-keys/{api_key_id}/rotate-api-key"
headers = {"x-api-key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};
fetch('https://checkout.dintero.com/v1/admin/api-keys/{api_key_id}/rotate-api-key', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://checkout.dintero.com/v1/admin/api-keys/{api_key_id}/rotate-api-key"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://checkout.dintero.com/v1/admin/api-keys/{api_key_id}/rotate-api-key")
.header("x-api-key", "<api-key>")
.asString();{
"name": "<string>",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"deleted_by": "<string>",
"deleted_at": "2023-11-07T05:31:56Z",
"api_key": "<string>"
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}api-keys
Rotate api-key
scopes:
- admin:checkout
POST
https://checkout.dintero.com/v1
/
admin
/
api-keys
/
{api_key_id}
/
rotate-api-key
admin_api_keys_api_key_id_rotate_post
curl --request POST \
--url https://checkout.dintero.com/v1/admin/api-keys/{api_key_id}/rotate-api-key \
--header 'x-api-key: <api-key>'import requests
url = "https://checkout.dintero.com/v1/admin/api-keys/{api_key_id}/rotate-api-key"
headers = {"x-api-key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};
fetch('https://checkout.dintero.com/v1/admin/api-keys/{api_key_id}/rotate-api-key', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://checkout.dintero.com/v1/admin/api-keys/{api_key_id}/rotate-api-key"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://checkout.dintero.com/v1/admin/api-keys/{api_key_id}/rotate-api-key")
.header("x-api-key", "<api-key>")
.asString();{
"name": "<string>",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"deleted_by": "<string>",
"deleted_at": "2023-11-07T05:31:56Z",
"api_key": "<string>"
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}Authorizations
adminKeyJWT
X-API-Key authentication for accessing admin endpoints. Use Create api-key to create a key.
The content of the header should look like the following:
x-api-key: {api_key}
Path Parameters
Last modified on September 7, 2026